module globalmod
! nskip   -> Initial value
! nread   -> Frequency
! nstep   -> Number of time steps
! Nat     -> Number of atoms
! nbonds  -> Number of bonds
! bonds   -> Array for bond atoms
! Ntypes  -> Number of ion types
! ic      -> Component along channel axis
! initval -> Initial elapsed time
! endval  -> Final elapsed time
! atchar  -> Atom charges 
! atnam   -> Atom names
! typenam -> Ion names
! xcoor   -> Cartesian atomic coordinates 
! (xcen,ycen,zcen)    -> Box center 
! (Lx,Ly,Lz)      -> Box lengths
! (Lx2,Ly2,Lz2)     -> Half box lengths
! [x1,x2] -> Planes which define the channel region along x-axis
! [y1,y2] -> Planes which define the channel region along y-axis
! [z1,z2] -> Planes which define the channel region along z-axis
! dt      -> Time step size
! (iLcx,iLcy,iLcz)     -> Inverse of the channel length along (x,y,z)-axis
! (Qr,Ql,Qc) -> Amount of charge transfer using right-side, left-side and central difference operator 
! logQ    -> Logical variable which activates amount of charge calculation
! logmsd  -> Logical variable which activates mean-square displacement calculation
! logtot  -> Logical variable which indicates if all atoms are considered for computing 
!            amount of charge transfer through the channel
! DCDUnitCell -> Logical variable which indicates if unit cell should be read in DCD file
! Qout1   -> Logical variable which  indicates if amount of charge ouptutfile is printed
! Qout2   -> Logical variable which  indicates if mean-square displacement outputfile is printed
! Qregr   -> Logical variable which  indicates if linear regressions for obtaining self-diffusion constants are activated
! fname1  -> Name of PSF file
! fname2  -> Name of DCD file
! fname3  -> Outputfile/Inputfile name for amount of charge transfer
! fname4  -> Outputfile name for mean-square displacement
! fname5  -> Outputfile name for linear regressions
implicit none
integer nskip,nread,nstep,Nat,nbonds,Ntypes,ic,initval,endval
integer, allocatable :: bonds(:,:)
real*8 xcen,ycen,zcen,Lx,Ly,Lz,Lx2,Ly2,Lz2,x1,x2,y1,y2,z1,z2,dt,iLcx,iLcy,iLcz
real*8, allocatable :: atchar(:),xcoor(:,:,:),Qr(:),Ql(:),Qc(:)
character*50 fname1,fname2,fname3,fname4,fname5
character*50, allocatable :: atnam(:),typenam(:)
logical logQ,logmsd,logtot,DCDUnitCell,Qout1,Qout2,Qregr
end module
